Skip to main content
GET
/
api
/
v1
/
auth
/
otc
/
withdrawals
/
queue
/
pending
List pending withdrawals (admin)
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/otc/withdrawals/queue/pending \
  --header 'Authorization: Bearer <token>'
{
  "withdrawals": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "usdt_amount": "<string>",
      "fiat_amount": "<string>",
      "fiat_currency": "<string>",
      "method": "bank",
      "status": "pending",
      "from_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "payout_bank_account": "<string>",
      "payout_bank_name": "<string>",
      "payout_phone_number": "<string>",
      "rejection_reason": "<string>",
      "rejected_at": "2023-11-07T05:31:56Z",
      "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "approved_at": "2023-11-07T05:31:56Z",
      "approved_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "completed_at": "2023-11-07T05:31:56Z",
      "completed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "internal_note": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Withdrawals awaiting approval

withdrawals
object[]